Subject: Re: Embedding IP information in an IPv6 address (OMNI)

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 16 Oct 2020 16:05:10 +0000

Behcet, OMNI would most certainly be a good fit for StarLink. But, StarLink is just
one example of a data link that OMNI nodes would include in their multilink profiles.

Thanks - Fred

From: Behcet Sarikaya [mailto:[email-masked]]
Sent: Friday, October 16, 2020 7:40 AM
To: Templin (US), Fred L <[email-masked]>
Cc: 6man <[email-masked]>; [email-masked]
Subject: Re: Embedding IP information in an IPv6 address (OMNI)

Hi Fred,

I am curious whether OMNI is designed with LEO satellite links like StarLink which is being deployed worldwide and
operational partially in North America in mind?

Behcet

On Fri, Oct 9, 2020 at 12:46 PM Templin (US), Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Hi, the OMNI spec defines an IPv6 link-local address format that embeds another
IP address/prefix inside the least significant bits:

https://datatracker.ietf.org/doc/draft-templin-6man-omni-interface/

The idea behind embedding IP information inside an IPv6 address was first published
 in RFC1884 (December 1995) where the "IPv4-compatible" and "IPv4-mapped" IPv6
addresses were defined. (This was the first edition of the IPv6 addressing architecture,
with the latest edition now as RFC4291.) Later, RFC4214 and RFC5214 put a more formal
structuring around embedded IP addresses and RFC5969 even went further to move
the embedded information up into the upper 64 bits of the IPv6 address.

The genesis of the OMNI concept of embedding additional IP information in the IPv6
address was introduced in the "AERO(bis)" draft following the publication of RFC6706.
This format was later cited in RFC7421. Now in the present OMNI draft, we have an
IPv6 link-local address format where embedded IP information begins immediately
after the fe80::/10 prefix thereby utilizing up to 112 available bits for encoding useful
information.

It has come to my attention that some are skeptical about embedded IP information
inside an IPv6 address. But, the OMNI draft shows clear benefits for making use of
these otherwise-wasted bits and follows on from decades-old examples that are
still in use today. Would love to hear everyone's thoughts on this.

Thanks - Fred

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]<mailto:[email-masked]>
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 19 Oct 2020 10:13:33 -0500

Thanks Michael, I'd like to know as much as possible how IPv6 works in
Starlink.

Behcet

On Fri, Oct 16, 2020 at 3:47 PM Michael Richardson <[email-masked]> wrote:

> Anyone read anything more specific about what Starlink is doing that is
> "simpler than IPv6"?
>
> I'd sure like to know that it permits end-terminal to end-terminal
> communicatons without a trip through a data center.
>
> --
> ]               Never tell me the odds!                 | ipv6 mesh
> networks [
> ]   Michael Richardson, Sandelman Software Works        |    IoT
> architect   [
> ]     [email-masked]  http://www.sandelman.ca/        |   ruby on
> rails    [
>
>
>
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 19 Oct 2020 18:08:56 +0200

'Simpler than IPv6' might mean a smaller and easier to use device than 
the bigger core routers which currently are known to run IPv6 natively.

I doubt though that the Starlink service will be on IPv6.  That service 
might be NATted IPv4, or maybe no IP at all - a network layer-less 
application-specific protocol, maybe http over satellite.

When Starlink service comes up it wont be in a vacuum.  At least Iridium 
upgraded their services continuously, up to a point that nowadays one 
can buy easily a cheap device with subscription comparable to ADSL, that 
offers DHCP on WiFi on one hand, and Iridium on another hand gatewayed 
down to the Internet.  An Iridium consumer-oriented chip is not bigger 
than a typical 4G chip for the same service.  It is 'simpler', 
'cheaper', 'smaller'.

I remember also Toyota talked about a potential own satellite 
constellation for their cars, and even went far with the novel Kismeta 
antenna design for future cars.  I dont know where that constellation 
plans are now.

But I really dont know how the Starlink service is designed and whether 
IPv6 has a place in it or no.  Let's see(?)

Alex

Le 19/10/2020 à 17:13, Behcet Sarikaya a écrit :
> On Fri, Oct 16, 2020 at 3:47 PM Michael Richardson <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     ] [email-masked] <mailto:[email-masked]>
>     http://www.sandelman.ca/ <http://www.sandelman.ca/>        |   ruby
>     on rails    [
> 
> 
> 
> 
> [email-masked]